"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = getRelayFlowQueryPlugin;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _babelRelayPlugin = require("babel-relay-plugin");

var _babelRelayPlugin2 = _interopRequireDefault(_babelRelayPlugin);

var _relayFlowQueryPlugin = require("./relayFlowQueryPlugin");

var _relayFlowQueryPlugin2 = _interopRequireDefault(_relayFlowQueryPlugin);

function getRelayFlowQueryPlugin(schemaProvider /*: Object | Function*/) /*: Function*/{
  var babelRelayPlugin = (0, _babelRelayPlugin2["default"])(schemaProvider);

  return function relayQueryGroupPlugin(babel) {
    var visitors = [];
    visitors.push(babelRelayPlugin(babel).visitor);
    visitors.push((0, _relayFlowQueryPlugin2["default"])(babel).visitor);

    var _require = require("babel-core");

    var traverse = _require.traverse;

    var mergedVisitors = traverse.visitors.merge(visitors);

    return new babel.Plugin("relay-query-group", { visitor: mergedVisitors });
  };
}

module.exports = exports["default"];